Bug 126761 - missing underline attribute for ppt document hyperlink
Summary: missing underline attribute for ppt document hyperlink
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: nd101
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-08 06:49 UTC by nd101
Modified: 2019-08-21 13:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
PowerPoint97 document with hyperlink (98.00 KB, application/vnd.ms-powerpoint)
2019-08-12 01:43 UTC, nd101
Details
document opened in MSO (1.13 KB, image/png)
2019-08-12 01:44 UTC, nd101
Details
document opened in LO Impress (1.32 KB, image/png)
2019-08-12 01:44 UTC, nd101
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nd101 2019-08-08 06:49:44 UTC
Description:
For ppt document containing hyperlink, when opened in Impress, the underline property is missing.

Steps to Reproduce:
1.Open ppt document in Impress
2.Open the same attached document in MSO
3.See the difference

Actual Results:
hyperlink without underline property

Expected Results:
hyperlink with underline property


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Xisco Faulí 2019-08-09 09:22:59 UTC
Hi nd101,
There is no document attached...
Comment 2 nd101 2019-08-12 01:43:52 UTC
Created attachment 153311 [details]
PowerPoint97 document with hyperlink
Comment 3 nd101 2019-08-12 01:44:32 UTC
Created attachment 153312 [details]
document opened in MSO
Comment 4 nd101 2019-08-12 01:44:58 UTC
Created attachment 153313 [details]
document opened in LO Impress
Comment 5 Commit Notification 2019-08-21 09:19:07 UTC
nd101 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2bed8af91fc2654b9ed2432f969d32d5741a529b%5E%21

tdf#126761 add missing underline of hyperlink when showing ppt document

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-08-21 10:00:07 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 2bed8af91fc2654b9ed2432f969d32d5741a529b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@nd101, Thanks for fixing this issue!